
#include <QWidget>
#include <QObject>
#include <QPushButton>
#include <QTextEdit>
#include <QString>
#include <Hello.h>

class HelloDlg : public QWidget
{
    Q_OBJECT
public:

    HelloDlg(const Demo::HelloPrx& helloPrx);
    void writeText(QString text);

public slots:

    void sayHello();

private:

    QTextEdit* _txtReply;
    QPushButton* _pbtSayHello;
    Demo::HelloPrx _helloPrx;
};

class HelloEventFilter : public QObject
{
    Q_OBJECT
public:

    HelloEventFilter(QObject* parent = 0);

protected:

    bool eventFilter(QObject *o, QEvent *e);
};
